# ConnectionTask<S> class

Returned by the `startConnect` methods on client-side socket types `S`, `ConnectionTask<S>` allows cancelling an attempt to connect to a host.

## Properties

socket → Future<S>
  A `Future` that completes with value that `S.connect()` would return unless cancel is called on this ConnectionTask. [...]
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

cancel() → void
  Cancels the connection attempt. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited